Name:		bazel
Version:	0.4.4
Release:	3%{?dist}
Summary:	Bazel is Google's own build tool

Group:		Development/Tools
License:	ASL 2.0
URL:		http://bazel.io
#Source0:	https://github.com/bazelbuild/bazel/archive/0.1.5.tar.gz
Source0:	bazel-%{version}.tar.gz
Patch1:		fixcompile.patch

%define debug_package %{nil}
%define __strip /bin/true

BuildRequires:	java-1.8.0-openjdk-devel devtoolset-4-toolchain zlib-devel zip unzip git bazel
Requires:	java-1.8.0-openjdk-devel devtoolset-4-toolchain zlib-devel zip unzip git

%description
Bazel is Google's own build tool, now publicly available in Beta. Bazel has 
built-in support for building both client and server software, including 
client applications for both Android and iOS platforms. It also provides an
extensible framework that you can use to develop your own build rules.

Note that this build is very rough and expect you to use devtoolset-4 compilers.

%prep
%setup -q
%patch1 -p1 -b .fixcompile

%build
set
#scl enable devtoolset-4 "./compile.sh"
scl enable devtoolset-4 "./compile.sh compile /usr/bin/bazel"
scl enable devtoolset-4 "./output/bazel build --jobs 100 //scripts:bash_completion"

%install
mkdir -p $RPM_BUILD_ROOT{/etc/bash_completion.d,%{_bindir}}
%if 0%{?rhel} < 7
echo 'build --jobs 100' > $RPM_BUILD_ROOT/etc/bazel.bazelrc
%else
touch $RPM_BUILD_ROOT/etc/bazel.bazelrc
%endif
install -m 755 output/bazel $RPM_BUILD_ROOT%{_bindir}/bazel-real
install -m 755 scripts/packages/bazel.sh $RPM_BUILD_ROOT%{_bindir}/bazel
install -m 644 bazel-bin/scripts/bazel-complete.bash $RPM_BUILD_ROOT/etc/bash_completion.d/bazel

%files
%doc AUTHORS BUILD CHANGELOG.md CONTRIBUTING.md CONTRIBUTORS LICENSE.txt README.md WORKSPACE
/etc/bazel.bazelrc
/etc/bash_completion.d/bazel
%{_bindir}/bazel*

%changelog
* Sat Feb 27 2016 Josko Plazonic <plazonic@princeton.edu>
- update for version 0.1.5

* Mon Nov 16 2015 Josko Plazonic <plazonic@princeton.edu>
- initial build, very rough
